---
search:
  tags:
    - Customer Groups
    - GET
seo:
  description: >-
    Returns a paginated list of… Reference for the GET
    /api/v1/{team_slug}/{app_slug}/customer-groups/{customer_group_id}/prices
    endpoint in the Management API.
sidebar:
  label: List customer group product variant prices
  badge: GET
title: List customer group product variant prices
type: openapi-operation
---
Returns a paginated list of product variant prices associated with a customer group.

`GET /api/v1/{team_slug}/{app_slug}/customer-groups/{customer_group_id}/prices`

**Responses**

- `200` — List of prices
- `400` — Invalid request
- `401` — Unauthorized access
- `404` — Customer group not found
- `500` — Internal server error

Response example, 200:

```json
{
  "data": [
    {
      "created_at": "string",
      "id": "string",
      "market": {
        "id": "string",
        "name": "string",
        "slug": "string"
      },
      "price_amount": 0,
      "product_variant": {
        "id": "string",
        "variant_name": "string"
      },
      "updated_at": "string"
    }
  ],
  "success": true,
  "total": 0,
  "total_pages": 0
}
```
